> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Campaign Domain Report

> This report contains statistics for the top-performing email domains in a campaign. The domains report allows you to break down your customers into groups according to their mailbox service provider.



## OpenAPI

````yaml /openapi-v1.json post /campaign/domain/report/{id}
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /campaign/domain/report/{id}:
    post:
      tags:
        - Campaigns
      summary: Campaign Domain Report
      description: >-
        This report contains statistics for the top-performing email domains in
        a campaign. The domains report allows you to break down your customers
        into groups according to their mailbox service provider.
      operationId: get-statistics-for-the-top-performing-email-domains-in-a-campaign
      parameters:
        - name: id
          in: path
          required: true
          description: Campaign id
          schema:
            type: string
        - name: Content-Type
          in: header
          required: true
          description: application/json
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              description: ''
              type: object
              properties:
                limit:
                  type: number
                  description: |-
                    Maximum number of elements to return.

                    Maximum: 100 Minimum: 10
                page:
                  type: number
                  description: >-
                    You can retrieve a subset of records starting from the page
                    value you have specified. You can add a limit, which will
                    determine the number of records you can retrieve on a single
                    page.


                    Starts From: 1
                sort_field:
                  type: string
                  minLength: 1
                  description: |-
                    Sort list data based on this field

                    Available sort fields

                    domain,sent,soft_bounce,hard_bounce,opens,
                    clicks,unsubscribe,abuse,spam_complaints
                sort_order:
                  type: string
                  minLength: 1
                  description: |-
                    Sorting order for sort field

                    Available sort orders

                    asc, ASC, desc, DESC
              required:
                - limit
                - page
            examples:
              example-1:
                value:
                  limit: 10
                  page: 1
                  sort_field: sent
                  sort_order: asc
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  count:
                    type: number
                  data:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      type: object
                      properties:
                        abuse:
                          type: number
                        abuse_pct:
                          type: string
                          minLength: 1
                        clicks:
                          type: number
                        clicks_pct:
                          type: string
                          minLength: 1
                        domain:
                          type: string
                          minLength: 1
                        hard_bounce:
                          type: number
                        hard_bounce_pct:
                          type: string
                          minLength: 1
                        opens:
                          type: number
                        opens_pct:
                          type: string
                          minLength: 1
                        sent:
                          type: number
                        sent_pct:
                          type: string
                          minLength: 1
                        soft_bounce:
                          type: number
                        soft_bounce_pct:
                          type: string
                          minLength: 1
                        spam_complaints:
                          type: number
                        spam_complaints_pct:
                          type: string
                          minLength: 1
                        unsubscribe:
                          type: number
                        unsubscribe_pct:
                          type: string
                          minLength: 1
                  name:
                    type: string
                    minLength: 1
              examples:
                example-1:
                  value:
                    count: 1
                    data:
                      - abuse: 0
                        abuse_pct: '0.00'
                        clicks: 0
                        clicks_pct: '0.00'
                        domain: bulk.regalwork.com
                        hard_bounce: 0
                        hard_bounce_pct: '0.00'
                        opens: 15548
                        opens_pct: '15.54'
                        sent: 100000
                        sent_pct: '100.00'
                        soft_bounce: 0
                        soft_bounce_pct: '0.00'
                        spam_complaints: 0
                        spam_complaints_pct: '0.00'
                        unsubscribe: 307
                        unsubscribe_pct: '1.97'
                    name: Campaign name
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      field:
                        type: string
                        minLength: 1
                      message:
                        type: string
                        minLength: 1
              examples:
                example-1:
                  value:
                    error:
                      field: sort_order
                      message: Invalid sort_order
        '401':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                          minLength: 1
              examples:
                example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````